package com.ruoyi.bst.userApp.mapper;

import com.ruoyi.bst.userApp.domain.UserApp;
import com.ruoyi.bst.userApp.domain.UserAppQuery;
import com.ruoyi.bst.userApp.domain.UserAppVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户APP关联Mapper接口
 *
 * @author ruoyi
 * @date 2025-03-14
 */
public interface UserAppMapper
{
    /**
     * 查询用户APP关联
     *
     * @param id 用户APP关联主键
     * @return 用户APP关联
     */
    UserAppVO selectUserAppById(Long id);

    /**
     * 查询用户APP关联列表
     *
     * @param query 用户APP关联
     * @return 用户APP关联集合
     */
    List<UserAppVO> selectUserAppList(@Param("query")UserAppQuery query);

    /**
     * 新增用户APP关联
     *
     * @param userApp 用户APP关联
     * @return 结果
     */
    int insertUserApp(UserApp userApp);

    /**
     * 修改用户APP关联
     *
     * @param userApp 用户APP关联
     * @return 结果
     */
    public int updateUserApp(@Param("data") UserApp userApp);

    /**
     * 删除用户APP关联
     *
     * @param id 用户APP关联主键
     * @return 结果
     */
    int deleteUserAppById(Long id);

    /**
     * 批量删除用户APP关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserAppByIds(Long[] ids);

    /**
     * 查询用户APP关联数量
     *
     * @param query 用户APP关联
     * @return 结果
     */
    int selectCount(@Param("query") UserAppQuery query);
}
